Monad API
string · requiredstringstringstringstringstringstringstringinteger
string · requiredstringstringstringstringstringstring
Alert management endpoints
List alerts with pagination
GET
https://app.monad.com/api
/v3/{organization_id}/alerts
Authorization (header)
Get list of recent historical alerts for an organization
path Parameters
organization_idOrganization ID
query Parameters
rule_idsComma-separated alert rule IDs
severitiesComma-separated severity levels
pipeline_idsComma-separated pipeline IDs
resource_typeResource type filter
resource_idSpecific resource ID
sinceRFC3339 timestamp for start time
untilRFC3339 timestamp for end time
List alerts with pagination › Responses
Paginated alerts
object[]
totalStream alerts in real-time
GET
https://app.monad.com/api
/v3/{organization_id}/alerts/stream
Authorization (header)
Stream alerts for an organization using Server-Sent Events
path Parameters
organization_idOrganization ID
query Parameters
sinceRFC3339 timestamp to start streaming from
lastDuration to start streaming from (e.g., '5m', '1h', '24h')
rule_idsComma-separated alert rule IDs
severitiesComma-separated severity levels
resource_idsComma-separated resource IDs
resource_typeResource type filter
Stream alerts in real-time › Responses
Alert stream
string